Pular para o conteúdo principal
POST
/
api
/
v1
/
campaigns
/
{campaign_id}
/
webhooks
/
{webhook_id}
/
logs
/
{log_id}
/
retry
curl -X POST "https://app.talkover.ai/api/v1/campaigns/campaign-uuid/webhooks/webhook-uuid-1/logs/log-uuid-1/retry" \
  -H "Authorization: Bearer talq_your_environment_token_here"
{
  "success": true,
  "message": "Webhook retry queued",
  "data": {
    "log_id": "new-log-uuid",
    "original_log_id": "log-uuid-1"
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.talkover.ai/llms.txt

Use this file to discover all available pages before exploring further.

Retentar Entrega de Webhook da Campanha

Retentar manualmente uma entrega de webhook de campanha que falhou. Cria uma nova entrada de log para o retry — o log original é preservado.

Endpoint

POST /api/v1/campaigns/{campaign_id}/webhooks/{webhook_id}/logs/{log_id}/retry

Parâmetros de Caminho

campaign_id
string
obrigatório
UUID da campanha.
webhook_id
string
obrigatório
UUID do webhook.
log_id
string
obrigatório
UUID do log da entrega que falhou.

Cabeçalhos da Requisição

Authorization
string
obrigatório
Token Bearer. Formato: Bearer talq_your_environment_token_here

Exemplos

curl -X POST "https://app.talkover.ai/api/v1/campaigns/campaign-uuid/webhooks/webhook-uuid-1/logs/log-uuid-1/retry" \
  -H "Authorization: Bearer talq_your_environment_token_here"

Resposta

{
  "success": true,
  "message": "Webhook retry queued",
  "data": {
    "log_id": "new-log-uuid",
    "original_log_id": "log-uuid-1"
  }
}